Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451049 - Suspected failure when command id wraps around
Summary: Suspected failure when command id wraps around
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: beta
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
: ---
Assignee: Alan Conway
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 15:44 UTC by Gordon Sim
Modified: 2009-05-07 20:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-02 16:06:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gordon Sim 2008-06-12 15:44:53 UTC
Left './src/tests/perftest --count 1000000 --iterations 5000 --size 64' running,
it got through 2147 iterations then exited:

  Sending start 1 times to pub_start
  Processing 1 messages from pub_done .SubscribeThread exception: Closed:

Comment 1 Gordon Sim 2008-06-12 15:45:46 UTC
Could also be the client (can't seem to mark more than one component).

Comment 2 Gordon Sim 2008-06-13 10:31:01 UTC
Same thing happened again at the same point, caught the broker output this time:

lt-qpidd: qpid/SessionState.cpp:132: virtual void
qpid::SessionState::senderRecordFlush(): Assertion `sender.flushPoint <=
sender.sendPoint' failed.



Comment 3 Alan Conway 2008-06-13 12:31:15 UTC
Comitted probable fix in revision 667503. gsim, please re run your long test,
I'll do the same and try to find some faster tricks for testing wrap-around.

Comment 4 Alan Conway 2008-06-13 17:38:57 UTC
Comitted fix for broker issues in Revision 667603.

Comment 5 Mike Bonnet 2008-06-20 03:53:39 UTC
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing


Note You need to log in before you can comment on or make changes to this bug.